### Method

# ECal ComponentAlarmTrigger set_kind

since: 3.34

#### Declaration [src]

    void
    e_cal_component_alarm_trigger_set_kind (
      ECalComponentAlarmTrigger* trigger,
      ECalComponentAlarmTriggerKind kind
    )

#### Description [src]

Set the `trigger` kind to `kind`. This works only for other than the `E_CAL_COMPONENT_ALARM_TRIGGER_ABSOLUTE`. To change the kind from absolute to relative, or vice versa, use either `e_cal_component_alarm_trigger_set_relative()` or e_cal_component_alarm_trigger_set_absolute().

Available since: 3.34

#### Parameters

`kind`

  Type: `ECalComponentAlarmTriggerKind`

  The kind to set, one of `ECalComponentAlarmTriggerKind`.